> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/developer/api/things/how-to-obtain-thing-ip-address.md).

# Get Thing Information

## Get Thing information

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/thing/ThingId_ICCID_{ICCID}`

#### Path Parameters

| Name                                    | Type   | Description           |
| --------------------------------------- | ------ | --------------------- |
| ICCID<mark style="color:red;">\*</mark> | String | The ICCID of your SIM |

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| YOUR\_TOKEN<mark style="color:red;">\*</mark> | String | Your authentication token |
| APIKEY                                        | String | Your customer id          |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
  "Type": "string",
  "PricePlanInnerId": "string",
  "ThingId": "string",
  "CustomerId": "string",
  "ThingName": "string",
  "ThingDescription": "string",
  "ThingsGroupId": "string",
  "ExternalUniqueId": "string",
  "ExternalUniqueType": "string",
  "ExternalBatchId": "string",
  "BatchId": "string",
  "SubProfId": "string",
  "NetworkProviderId": "string",
  "RoamingPolicyId": "string",
  "GeoDistance": 0,
  "ThingTag": [
    "string"
  ],
  "Latitude": 0,
  "Longitude": 0,
  "FencingRadius": 0,
  "UnavailabilityTime": "2022-05-30T09:53:47.060Z",
  "IPv4": "string",
  "IPv4PoolId": "string",
  "IPv4AllocationPolicy": "string",
  "IPv4Lock": true,
  "IPv6": "string",
  "IPv6PoolId": "string",
  "IPv6AllocationPolicy": "string",
  "IPv6Lock": true,
  "FwBlockAttempts": 0,
  "StreetAddress": "string",
  "Remarks": "string",
  "hss": {
    "serviceSelection": "string",
    "pdnType": 0,
    "vplmnDynamicAddressAllowed": 0,
    "PDNgwAllocationType": 0,
    "ambr": {
      "maxRequestedBandwidthUL": 0,
      "maxRequestedBandwidthDL": 0
    },
    "epsQos": {
      "qosClassIden": 0,
      "priorityLevel": 0,
      "preemptionCapability": 0,
      "preemptionVulnerability": 0
    }
  },
  "State": "string",
  "BillingState": "string",
  "DateCreated": 0,
  "DateModified": 0,
  "DateAssignedToCustomer": 0,
  "IMEI": "string",
  "MasterIMEI": "string",
  "LockMasterImei": true,
  "IMSI": "string",
  "MSISDN": "string",
  "VcsAccountId": "string",
  "LastLocation": {
    "Timestamp": 0,
    "Type": "string",
    "Latitude": 0,
    "MCC": "string",
    "MNC": "string",
    "Longitude": 0,
    "AccuracyInKM": 0,
    "IMSI": "string",
    "IsLocationTypeAccurate": true,
    "CellId": 0,
    "Lac": 0
  },
  "LastAccuracyLocation": {
    "Timestamp": 0,
    "Type": "string",
    "Latitude": 0,
    "MCC": "string",
    "MNC": "string",
    "Longitude": 0,
    "AccuracyInKM": 0,
    "IMSI": "string",
    "IsLocationTypeAccurate": true,
    "CellId": 0,
    "Lac": 0
  },
  "RoamingRestrictions": [
    {
      "BlockRoaming": true,
      "BlockSMS": true,
      "BlockMOVoiceFlag": true,
      "BlockMTVoiceFlag": true,
      "DataRestrictionByterateLimit": "string",
      "MNOId": "string",
      "Preferred": true,
      "RoamingPartnerId": 0,
      "RoamingPlanId": "string",
      "ByterateFlag": true,
      "BlockMOSMSFlag": true
    }
  ],
  "Block": {
    "Data2G": true,
    "Data": true,
    "LTEData": true,
    "Data5G": true,
    "SMS_MO": true,
    "SMS_MT": true,
    "Supplementary_Services": true,
    "Voice_International": true,
    "Voice_International_Exc_Home": true,
    "Voice_MO": true,
    "Voice_MT": true,
    "Voice_Premium": true
  },
  "ActualUsage": {
    "MO_SMS_CDR_": 0,
    "Data_": 0,
    "Voice_": 0,
    "Alarm": 0
  },
  "APN": {
    "ShortId": "string",
    "DateModified": "string",
    "Name": "string",
    "ApnId": "string",
    "Description": "string",
    "IpRange": "string",
    "Ipv6Range": "string",
    "Type": "string",
    "InterfaceName": "string",
    "ServedByJpU": true,
    "DynamicIPAddress": true,
    "pdpsub": {
      "Delay-Class": 0,
      "Mean-Throughput": 0,
      "Pdp-ContextId": 0,
      "Peak-Throughput": 0,
      "Precedence-Class": 0,
      "Reliability-Class": 0,
      "PreferredDataMode": 0,
      "NonIpDataDelvMechanism": 0,
      "NonIPPDNTypeIndicator": 0,
      "qos": {
        "Delivery-Of-Erroneous-SDU": 0,
        "Delivery-Order": 0,
        "Guaranteed-Bit-Rate-For-DownLink": 0,
        "Guaranteed-Bit-Rate-For-Uplink": 0,
        "Guaranteed-Bit-Rate-ForDownlink(extended)": 0,
        "Maximum-Bit-Rate-For-Downlink": 0,
        "Maximum-Bit-Rate-For-Downlink(extended)": 0,
        "Maximum-Bit-Rate-For-Uplink": 0,
        "Maximum-SDU-Size": 0,
        "Priority": 0,
        "Residual-BER": 0,
        "SDU-Error-Ratio": 0,
        "Signaling-Indication": 0,
        "Source-Statistics-Descriptor": 0,
        "Traffic-Class": 0,
        "Traffic-Handling-Priority": 0,
        "Transfer-Delay": 0
      }
    }
  },
  "cas": "string"
}

```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized" %}

```javascript
{
    Unauthorized
}
```

{% endtab %}

{% tab title="500: Internal Server Error Internal Server Error" %}

```javascript
{
    Error: CouchbaseError: The key does not exist on the server
}
```

{% endtab %}

{% tab title="404: Not Found Not found" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Add your **Thing ICCID** and **Token** in the GET request to successfully obtain the Thing info.
{% endhint %}

### Example using **cURL**:

```bash
curl -X GET \
     --url "https://console.monogoto.io/thing/ThingId_ICCID_{THING_ICCID}/" \
     -H "accept: application/json" \
     -H "Authorization: Bearer {YOUR_TOKEN}"
```

Example of response to our request:

```json
 {
  "ThingName":"Thing 123",
  "ThingDescription":"Description of Thing",
  "ActiveMobileSubscriber": "123456789101112",
  "State": "ACTIVE",
  "BatchId": "Tutorial SIM",
  "MSISDN": "+4420412389916",
  "ExternalUniqueId": "8912372646888991",
  "ExternalUniqueType": "ICCID",
  "ExternalBatchId": "Tutorial SIM",
  "OrganizationId": "OrganizationId_23789d7d-dd59-4739-ab2c-1ec7d9d8b11a",
  "CreatedBy": "UserId_90b777a3-60f5-4557-958ba-15f04333d17b",
  "ThingsGroupId": "ThingsGroupId_ca140991-be66-4ddd-a777-711595c5a30d",
  "CustomerId": "cid_c256463da-742-491b-911b-8850177ef5121",
  "DateAssignedToCustomer": 1610443297454,
  "SimType": null,
  "IPs": [
    {
      "IP": "11.111.11.211",
      "IPAllocationPolicy": "dynamic",
      "IPLock": false,
      "IPPoolId": "IPPoolId_0cbby8ae-ddx7-4nx6-8588-b7e451f114e3",
      "IPvType": "IPv4",
      "NetworkId": "NetworkId_ec8dc935-35a1-499a-aacd-4e190ad41673",
      "ApnShortId": "1000"
    }
  ...
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/thing/{ThingId}/" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monogoto.io/developer/api/things/how-to-obtain-thing-ip-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
